//
//  LKQScrollPageView.h
//  SScroll
//
//  Created by 校咖 on 16/7/15.
//  Copyright © 2016年 校咖. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "LKQPageHeaderView.h"


@protocol LKQScrollPageViewDelegate <NSObject>

-(void)LKQDidEndDeceleratingCurrentPage:(NSInteger)currentPage;

@end

@interface LKQScrollPageView : UIView<UIScrollViewDelegate,pageHeaderBtnDelegate>

//header
@property(nonatomic,strong)LKQPageHeaderView *headerView;
//下面的视图
@property(nullable,nonatomic,strong)UIScrollView *scrollview;
//当前第几个view
@property(nonatomic,assign)NSInteger currentPage;

@property(nullable,nonatomic,weak)id<LKQScrollPageViewDelegate> delegate;

/**加载的view的控制器viewcontroller*/
@property(nullable, nonatomic,copy) NSArray<__kindof UIViewController *> *viewControllers;

- (instancetype)initWithFrame:(CGRect)frame controllers:(NSArray<__kindof UIViewController *> * __nullable)viewControllers names:(NSArray<__kindof NSString *> * __nullable)names;

@end
