//
//  LKQPageHeaderView.h
//  SScroll
//
//  Created by 校咖 on 16/7/15.
//  Copyright © 2016年 校咖. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol pageHeaderBtnDelegate <NSObject>

-(void)pageCurrentBtn:(NSInteger)current;

@end

@interface LKQPageHeaderView : UIView<UIScrollViewDelegate>

@property(nonatomic,weak)id<pageHeaderBtnDelegate> delegate;

@property(nullable,nonatomic,strong)UIScrollView *scrollview;
@property(nullable, nonatomic,copy) NSArray<__kindof UIButton *> *buttons;

@property(nullable,nonatomic,strong)UIButton *currentBtn;

- (instancetype)initWithFrame:(CGRect)frame names:(NSArray<__kindof NSString *> * __nullable)names;

- (void)setCurrentheaderbtn:(NSInteger)index;
@end
